This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 882175 - rear: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
rear: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rear (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gratien D'haese
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 881785
  Show dependency treegraph
 
Reported: 2012-11-30 05:35 EST by Kay Sievers
Modified: 2013-12-23 13:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-23 13:25:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kay Sievers 2012-11-30 05:35:12 EST
Fedora is migrating away from:
 /etc/sysconfig/network (the HOSTNAME=... setting)
 /etc/sysconfig/keyboard
 /etc/sysconfig/i18n
to:
 /etc/hostname
 /etc/vconsole.conf
 /etc/locale.conf

See the tracker bug 881785 for details.

We found:
  96_collect_MC_serviceguard_infos.sh
    /etc/sysconfig/network
    SGLX_FILES="/etc/sysconfig/keyboard


Please update the package for the new config files.

The old files are converted and deleted from the system at update time.
If reading the old files is still supported, please make sure they are
never created again.

Thanks!
Comment 1 Gratien D'haese 2012-12-03 09:47:00 EST
Thank you for pointing out the changes. I will add the new style configuration files into the script, but for legacy reasons I will keep the old style names too.
As the script only collects configuration files you may consider this as a "false alert" - we do not change these config files in any way.

Please let me know if you need any further information.
Comment 2 Fedora End Of Life 2013-12-21 04:34:26 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Gratien D'haese 2013-12-23 06:38:47 EST
This bug report is a false alert, and therefore, I will close it myself

Note You need to log in before you can comment on or make changes to this bug.